Loading...
Searching...
No Matches
Halide::VarOrRVar Struct Reference

A class that can represent Vars or RVars. More...

`#include <Func.h>`

## Public Member Functions

| VarOrRVar (const std::string &n, bool r)
| VarOrRVar (const Var &v)
| VarOrRVar (const RVar &r)
| VarOrRVar (const RDom &r)
template<int N>
| VarOrRVar (const ImplicitVar< N > &u)
const std::string & | name () const

## Public Attributes

Var | var
RVar | rvar
bool | is_rvar

## Detailed Description

A class that can represent Vars or RVars.

Used for reorder calls which can accept a mix of either.

Definition at line 29 of file Func.h.

## Constructor & Destructor Documentation

## VarOrRVar() [1/5]

Halide::VarOrRVar::VarOrRVar | ( | const std::string & | n,
|  | bool | r )

inline

Definition at line 30 of file Func.h.

References is_rvar, rvar, and var.

## VarOrRVar() [2/5]

Halide::VarOrRVar::VarOrRVar | ( | const Var & | v | ) |

inline

Definition at line 33 of file Func.h.

References is_rvar, and var.

## VarOrRVar() [3/5]

Halide::VarOrRVar::VarOrRVar | ( | const RVar & | r | ) |

inline

Definition at line 36 of file Func.h.

References is_rvar, and rvar.

## VarOrRVar() [4/5]

Halide::VarOrRVar::VarOrRVar | ( | const RDom & | r | ) |

inline

Definition at line 39 of file Func.h.

References is_rvar, and rvar.

## VarOrRVar() [5/5]

template<int N>

Halide::VarOrRVar::VarOrRVar | ( | const ImplicitVar< N > & | u | ) |

inline

Definition at line 43 of file Func.h.

References is_rvar, and var.

## Member Function Documentation

## name()

const std::string & Halide::VarOrRVar::name | ( |  | ) | const

inline

Definition at line 47 of file Func.h.

References is_rvar, rvar, and var.

## Member Data Documentation

## var

Var Halide::VarOrRVar::var

Definition at line 55 of file Func.h.

Referenced by name(), VarOrRVar(), VarOrRVar(), and VarOrRVar().

## rvar

RVar Halide::VarOrRVar::rvar

Definition at line 56 of file Func.h.

Referenced by name(), VarOrRVar(), VarOrRVar(), and VarOrRVar().

## is_rvar

bool Halide::VarOrRVar::is_rvar

Definition at line 57 of file Func.h.

Referenced by name(), VarOrRVar(), VarOrRVar(), VarOrRVar(), VarOrRVar(), and VarOrRVar().

The documentation for this struct was generated from the following file:

- src/Func.h